<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@FFC07C=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pb@FFC460=64</action>
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <parameter>
      <item value="0x01">Enabled</item>
      <item value="0x02">Disabled</item>
    </parameter>
    <script state="run">
      <action condition="(param==01)">maincpu.ow@006A0C=0002</action> <!-- Most collisions -->
      <action condition="(param==01)">maincpu.ob@00BB6C=60</action> <!-- Being stunned -->
      <action condition="(param==02)">maincpu.ow@006A0C=1714</action>
      <action condition="(param==02)">maincpu.ob@00BB6C=6C</action>
    </script>
  </cheat>

  <cheat desc="Finish this Stage Now!">
    <script state="on">
      <action>maincpu.pb@FFC4E8=FF</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@FFC821=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL1">
    <script state="run">
      <action>maincpu.pb@FFC810=2F</action>
    </script>
  </cheat>

  <cheat desc="Infinite Ammo PL1">
    <script state="run">
      <action>maincpu.pw@FFC814=03E8</action>
    </script>
  </cheat>

  <cheat desc="Infinite Special Ammo PL1">
    <script state="run">
      <action>maincpu.pb@FFC827=63</action>
    </script>
  </cheat>

  <cheat desc="Select Special Weapon PL1"> <comment>You must have a Special Weapon to change it, to ensure you keep hold of the special weapon use this along with the 'Infinite Special Ammo' cheat</comment>
    <parameter>
      <item value="0x00">Electro Blast</item>
      <item value="0x01">Multi-Shot</item>
      <item value="0x02">Double Bomb</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@FFC829=param</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@FFC861=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL2">
    <script state="run">
      <action>maincpu.pb@FFC850=2F</action>
    </script>
  </cheat>

  <cheat desc="Infinite Ammo PL2">
    <script state="run">
      <action>maincpu.pw@FFC854=03E8</action>
    </script>
  </cheat>

  <cheat desc="Infinite Special Ammo PL2">
    <script state="run">
      <action>maincpu.pb@FFC867=63</action>
    </script>
  </cheat>

  <cheat desc="Select Special Weapon PL2"> <comment>You must have a Special Weapon to change it, to ensure you keep hold of the special weapon use this along with the 'Infinite Special Ammo' cheat</comment>
    <parameter>
      <item value="0x00">Electro Blast</item>
      <item value="0x01">Multi-Shot</item>
      <item value="0x02">Double Bomb</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@FFC869=param</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
